<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Phenotype Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="class_phenotype-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Phenotype Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_phenotype_8h_source.html">Phenotype.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Phenotype:</div>
<div class="dyncontent">
<div class="center"><img src="class_phenotype__inherit__graph.png" border="0" usemap="#_phenotype_inherit__map" alt="Inheritance graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Phenotype:</div>
<div class="dyncontent">
<div class="center"><img src="class_phenotype__coll__graph.png" border="0" usemap="#_phenotype_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 1 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adb576282e62ed840daeacc16b6208560"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_phenotype.html#adb576282e62ed840daeacc16b6208560">Phenotype</a> (const bool=false, const <a class="el" href="_genotype_8h.html#ae09c2f0f089f257b93744150b5a503e4">FitnessType</a>=<a class="el" href="_phenotype_8h.html#afad9c6bc3cc1205d1d3876505b595ee6">MIN_PHENOTYPE_FITNESS</a>)</td></tr>
<tr class="separator:adb576282e62ed840daeacc16b6208560"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc2de6ae05493212f352ac8b89778e11"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_phenotype.html#adc2de6ae05493212f352ac8b89778e11">Phenotype</a> (const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;)</td></tr>
<tr class="separator:adc2de6ae05493212f352ac8b89778e11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08d4499d978ae2362c9a0bfc20d55e26"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_phenotype.html#a08d4499d978ae2362c9a0bfc20d55e26">~Phenotype</a> ()</td></tr>
<tr class="separator:a08d4499d978ae2362c9a0bfc20d55e26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a042ef2d0e6a98441ce0ffe643c6f2656"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_phenotype.html#a042ef2d0e6a98441ce0ffe643c6f2656">getValid</a> () const</td></tr>
<tr class="separator:a042ef2d0e6a98441ce0ffe643c6f2656"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac044d7f87e11bcdd63ca938b23732d9d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_phenotype.html#ac044d7f87e11bcdd63ca938b23732d9d">setValid</a> (const bool)</td></tr>
<tr class="separator:ac044d7f87e11bcdd63ca938b23732d9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cf02aeffd66abde2e3d3f4feb5b5194"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_genotype_8h.html#ae09c2f0f089f257b93744150b5a503e4">FitnessType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_phenotype.html#a6cf02aeffd66abde2e3d3f4feb5b5194">getFitness</a> () const</td></tr>
<tr class="separator:a6cf02aeffd66abde2e3d3f4feb5b5194"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1281ec34db008cca008d0db02138c79"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_phenotype.html#ab1281ec34db008cca008d0db02138c79">setFitness</a> (const <a class="el" href="_genotype_8h.html#ae09c2f0f089f257b93744150b5a503e4">FitnessType</a>)</td></tr>
<tr class="separator:ab1281ec34db008cca008d0db02138c79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d485be72e77039725dd3d80c1fa17f9"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_phenotype.html#a1d485be72e77039725dd3d80c1fa17f9">getString</a> () const</td></tr>
<tr class="separator:a1d485be72e77039725dd3d80c1fa17f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a62d90db76e5eb646f866cd5c9c18719a"><td class="memItemLeft" align="right" valign="top">ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_phenotype.html#a62d90db76e5eb646f866cd5c9c18719a">operator&lt;&lt;</a> (ostream &amp;, const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;)</td></tr>
<tr class="separator:a62d90db76e5eb646f866cd5c9c18719a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="adb576282e62ed840daeacc16b6208560"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb576282e62ed840daeacc16b6208560">&#9670;&nbsp;</a></span>Phenotype() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Phenotype::Phenotype </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>newValid</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="_genotype_8h.html#ae09c2f0f089f257b93744150b5a503e4">FitnessType</a>&#160;</td>
          <td class="paramname"><em>newFitness</em> = <code><a class="el" href="_phenotype_8h.html#afad9c6bc3cc1205d1d3876505b595ee6">MIN_PHENOTYPE_FITNESS</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adc2de6ae05493212f352ac8b89778e11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc2de6ae05493212f352ac8b89778e11">&#9670;&nbsp;</a></span>Phenotype() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Phenotype::Phenotype </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;&#160;</td>
          <td class="paramname"><em>copy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a08d4499d978ae2362c9a0bfc20d55e26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08d4499d978ae2362c9a0bfc20d55e26">&#9670;&nbsp;</a></span>~Phenotype()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Phenotype::~Phenotype </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a6cf02aeffd66abde2e3d3f4feb5b5194"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cf02aeffd66abde2e3d3f4feb5b5194">&#9670;&nbsp;</a></span>getFitness()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_genotype_8h.html#ae09c2f0f089f257b93744150b5a503e4">FitnessType</a> Phenotype::getFitness </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d485be72e77039725dd3d80c1fa17f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d485be72e77039725dd3d80c1fa17f9">&#9670;&nbsp;</a></span>getString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string Phenotype::getString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a042ef2d0e6a98441ce0ffe643c6f2656"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a042ef2d0e6a98441ce0ffe643c6f2656">&#9670;&nbsp;</a></span>getValid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Phenotype::getValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab1281ec34db008cca008d0db02138c79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1281ec34db008cca008d0db02138c79">&#9670;&nbsp;</a></span>setFitness()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Phenotype::setFitness </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="_genotype_8h.html#ae09c2f0f089f257b93744150b5a503e4">FitnessType</a>&#160;</td>
          <td class="paramname"><em>newFitness</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac044d7f87e11bcdd63ca938b23732d9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac044d7f87e11bcdd63ca938b23732d9d">&#9670;&nbsp;</a></span>setValid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Phenotype::setValid </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>newValid</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="a62d90db76e5eb646f866cd5c9c18719a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62d90db76e5eb646f866cd5c9c18719a">&#9670;&nbsp;</a></span>operator&lt;&lt;</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;&#160;</td>
          <td class="paramname"><em>ph</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_phenotype_8h_source.html">Phenotype.h</a></li>
<li>src/<a class="el" href="_phenotype_8cpp.html">Phenotype.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
